/* Animated Spin */
@-moz-keyframes spin {
  0% {
    -moz-transform: rotate(0deg);
  }
  100% {
    -moz-transform: rotate(359deg);
  }
}
@-webkit-keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(359deg);
  }
}
@-o-keyframes spin {
  0% {
    -o-transform: rotate(0deg);
  }
  100% {
    -o-transform: rotate(359deg);
  }
}
@keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(359deg);
    transform: rotate(359deg);
  }
}

/* Animated flash - not is use */
@-moz-keyframes flash { /* older versions of FF */
    0%, 50%, 75%, 100% {
        color: #fff;
    }
    25% {
        color: #777;
    }
}
@keyframes flash {
    0%, 50%, 75%, 100% {
        color: #fff;
    }
    25% {
        color: #777;
    }
}

@media screen and (-webkit-min-device-pixel-ratio:0) {
    input, select {
        border-radius: 3px;
        background-color: #fff;
        border: solid 1px rgb(169, 169, 169);
        padding-left: 5px;
    }
    input:invalid {
      box-shadow: 0px 0px 6px #ff0000;
    }
}

@media screen and (-webkit-min-device-pixel-ratio:0) {
    /* Safari and Chrome */
    .form input[disabled], .form select[disabled], .form input[readonly], .form select[readonly] {
        background-color: #efefef;
    }
}

body {
    padding-bottom: 100px;
    color: #3b3a36;
}

#langmenu {
    margin: 5px 20px 0 5px;
}

.form, .form-sml {
    margin: 0;
    padding: 0;
    /*padding-top: 5px;*/
}

.form input, .form select {
    margin-right: 10px;
}

.form ul {
    list-style: none;
    /*display: inline-block;*/
    margin: 0px;
    padding: 0px 5px;
}

.form ul li {
    /*display: inline-block;*/
    margin: 0px;
}

.form ul li label {
    margin: 0px;
}

.form ul li label input {
    position: relative;
    vertical-align: middle;
    margin: 0px 8px 3px 8px;
}

.form .martop {
    margin-top: 5px;
    margin-right: 0px;
}

.form .marleft {
    margin-left: 5px;
}

.form span {
    margin-left: 5px;
}

.form input[type="checkbox"] {
    vertical-align:-10px;
}

.form input[type="number"] {
    width: 100px;
}

.form .text-info {
    display: inline !important;
}

.form-inline {
    /* overwride bootstrap */
    margin-top: 10px;
}

.forms {
    border-bottom: solid 3px #f0f3f4;
    margin: 0 5px 10px 5px;
    padding: 0 0 5px 0;
}

.form .divinline {
    display: inline-block;
}

.fieldWrapper {
    margin: 0px;
    padding: 10px 0px 0px 0px;
    font-weight: normal;
    border-bottom: solid 1px #f0f3f4;
}


.fieldWrapper input[type="file"] {
    display: inline;
}

.fieldWrapper label {
    margin-right: 10px;
    margin-bottom: 0px;
    font-weight: bold;
}

.fieldWrapper ul label {
    font-weight: normal;
    margin-top: 0px;
}

.fieldWrapper h5 {
    margin-top: 5px;
    margin-bottom: 5px;
    font-size: 13px;
}

.fieldWrapper .noedit {
    border: none !important;
}

/* Custom placeHolder - overwride Bootstrap */
input::-webkit-input-placeholder { font-style: italic; }  /* WebKit, Blink, Edge */
input:-moz-placeholder { font-style: italic; }  /* Mozilla Firefox 4 to 18 */
input::-moz-placeholder { font-style: italic; }  /* Mozilla Firefox 19+ */
input:-ms-input-placeholder { font-style: italic; }  /* Internet Explorer 10-11 */
input::-ms-input-placeholder { font-style: italic; }  /* Microsoft Edge */

.btn-file {
  position: relative;
  overflow: hidden;
}

.btn-file input[type=file] {
    position: absolute;
    top: 0;
    right: 0;
    min-width: 100%;
    min-height: 100%;
    font-size: 100px;
    text-align: right;
    filter: alpha(opacity=0);
    opacity: 0;
    outline: none;
    background: white;
    cursor: inherit;
    display: block;
}

hr {
    /* overwride bootstrap */
    margin: 10px 0 !important;
}

.panel {
    /* overwride bootstrap */
    margin-bottom: 10px;
}

.panel-default, .panel-default .panel-heading {
    /* overwride bootstrap */
    border-top-left-radius: 0px !important;
    border-top-right-radius: 0px !important;
}

.panel-default .alert {
    border: none;
    border-bottom: solid 1px #ddd !important;
    border-radius: 0px !important;
    margin-bottom: 0px !important;
    background-color: #fff3cd !important;
}

.jumbotron {
    margin-bottom: 0px;
    border-radius: 0px !important;
    color: #000;
    border: solid 1px #ddd;
    border-bottom: none;
    text-shadow: 1px 1px #fff;
    background-color: #e8e8e8;
    padding-right: 30px !important;
    padding-left: 30px !important;
}

.jumbotron h1 {
    font-size: 28px;
    font-weight: bold;
    margin-top: 15px;
    margin-bottom: 5px;
    /*margin-left: 45px;*/
}

.sml {
    font-size: 98%;
}

.alert {
    margin-bottom: 10px;
}

.help {
    display:inline-block;
    float: right;
}

#help {
    background-color: #fff;
}

#help_btn {
    margin: 0 3px;
}

.btnmenu {
    padding-top: 5px;
}

.btnmenu button {
    margin-right: 10px;
}

.btnmenu .text-right button {
    margin-right: 0px;
    margin-left: 10px;
}

input[name="crs"] {
    width: 80px;
}

#deploy_div .tooltip {
    /* overwride bootstrap */
    width: 150px;
}

#deploy_div .tooltip-inner {
    white-space: -moz-pre-wrap; /* Mozilla */
    white-space: -hp-pre-wrap; /* HP printers */
    white-space: -o-pre-wrap; /* Opera 7 */
    white-space: -pre-wrap; /* Opera 4-6 */
    white-space: pre-wrap; /* CSS 2.1 */
    white-space: pre-line; /* CSS 3 (and 2.1 as well, actually) */
    word-wrap: break-word; /* IE */
    word-break: break-all;
}

/* Custom */
#pardefault_table, #wwmdefault_table {
    width: 100% !important;
    margin-bottom: 15px !important;
}

#pardefault_table tr, #pardefault_table tr:hover, #wwmdefault_table tr, #wwmdefault_table tr:hover {
    font-weight: bold;
}

#pardefault_table tr.group, #pardefault_table tr.group:hover, #wwmdefault_table tr.group, #wwmdefault_table tr.group:hover {
    background-color: #f5f5f5;
    font-weight: normal;
}

#mapcontainer {
    border-bottom: solid 3px #f0f3f4;
    margin: 0;
    padding: 0;
    margin-bottom: 10px;
    padding-bottom: 10px;
}

#map_ctn {
    padding-right: 0px;
    padding-bottom: 10px;
}

#map_ctn .leaflet-container {
    width: 99%;
    float: right;
    -webkit-transition: width 0.3s ease;
    -moz-transition: width 0.3s ease;
    -o-transition: width 0.3s ease;
    transition: width 0.3s ease;
}

.cst_hide {
    display: none;
}

.grouptitle {
    font-style: italic;
    font-weight: bold;
    margin: 5px 0 0 0;
    padding: 2px 8px;
    background-color:#f0f3f4;
}

/* JQuery DataTables */
.dataTables_wrapper {
    border-bottom: solid 3px #f0f3f4;
    padding-bottom: 5px;
    margin-bottom: 5px;
}

.dataTables_filter {
    float: right;
    font-size: 12px;
}

.dataTables_filter input {
    margin-left: 5px;
}

.dataTables_length {
    float: left;
    font-size: 12px;
}

.dataTables_paginate {
    margin-bottom: 15px;
}

.dataTables_paginate > a {
	padding: 6px 12px;
	line-height: 1.42857143;
	text-decoration: none;
	color: #333;
	background-color: #fff;
	border: 1px solid #ccc;
	margin-left: -1px;
	cursor: pointer;
}

.dataTables_paginate > a:hover {
	background-color: #f0f3f4;
}

.dataTables_paginate > a:first-of-type {
	margin-left: 0;
	border-bottom-left-radius: 4px;
	border-top-left-radius: 4px;
}

.dataTables_paginate > a:last-of-type {
	margin-right: 0;
	border-bottom-right-radius: 4px;
	border-top-right-radius: 4px;
}

.dataTables_paginate .disabled {
    color: #ccc;
    pointer-events: none;
}

.tglcmts {
    float: right;
    margin: 5px;
}

#accordion {
    margin-bottom: 0;
}

.badge {
    background-color: #337ab7 !important;
    color: #fff;
    margin-right: 10px;
}

h4.panel-title {
    font-size: 14px;
    font-weight: bold;
}

#map {
    height: 400px;
    margin: 5px 0;
}

.col2 #map {
    margin: 0 !important;
}

.legend, .info {
    width: 135px !important;
    line-height: 18px;
    padding: 6px 8px;
    background: rgba(255,255,255,0.9);
    border-radius: 5px;
    border: 1px solid #ccc;
    max-height: 320px;
    /*overflow-y: auto;*/
}

.info {
    text-align: center;
    height: 45px;
}

.legend span, .info span {
    font-size: 11px;
}

.legend .title, .legend .subtitle {
    font-weight: bold;
    padding: 0;
    margin: 0;
    display: block;
}

.legend .title {
    text-align: center;
    font-size: 12px;
}

.legend .subtitle {
    font-size: 11px;
    margin-top: 5px;
}

.legend i {
    width: 15px;
    float: left;
    margin-right: 5px;
    opacity: 0.7;
}

.legend i.line {
    margin-top: 8px;
    height: 4px;
}

.legend i.square {
    height: 15px;
}

.legend span.flex {
    margin: 0px;
    height: 4px;
    display: flex;
}

.legend span.flex i.square {
    height: 4px;
}

.legend span.flex em {
    margin-top: -5px;
}

.legend span i.circle {
    margin-top: 2px;
    width: 12px;
    height: 12px;
    border-radius: 12px;
    border: solid 2px #333;
}

tr.group,
tr.group:hover {
    background-color: #f0f3f4;
    font-weight: bold;
}

.simple-table thead tr {
    background-color: #fff !important;
    color: #3b3a36 !important;
}

.simple-table td {
    cursor: auto !important;
}

#forcings_table, #stations_table, #sources_table {
    width: 99%;
}

#forcings_table td, #stations_table td, #sources_table td {
    cursor: pointer;
}

#forcings_table tr.highlight, #stations_table tr.highlight, #sources_table tr.highlight{
    background-color:#f5f5f5;
}

#forcings_table .chk, #stations_table .chk, #sources_table .chk{
    width: 25px;
}

#forcings_table .bid {
    width: 65px;
}

#stations_table .stype {
    width: 50px;
}

#forcings_table .ftype {
    width: 80px;
}

#stations_table .lat, #stations_table .lon {
    width: 90px;
}

#sources_table .lat, #sources_table .lon{
    width: 90px;
}

#forcings_table .fmodel {
    width: 60%;
    font-size: 95%;
}

#forcings_table .fmodel_code {
    visibility: hidden;
}

#sources_table .fmodel{
    width: 30%;
    font-size: 95%;
}

#sources_table .fmodel_code {
    visibility: hidden;
}


.table .boundaries {
    width: 40%;
}

.table .elems {
    width: 110px;
}

.jumbotron .label {
    text-shadow: none;
    font-size: 13px;
    margin-left: 10px;
    vertical-align: middle;
    padding: .4em .6em .3em;
}

.hasDatepicker {
    width: 100px;
}

/* CSS animations */
.flash {
    -webkit-animation: flash 5s ease 0s infinite;
    -moz-animation: flash 5s ease 0s infinite;
    -o-animation: flash 5s ease 0s infinite;
    animation: flash 5s ease 0s infinite;
}

.spin {
  -webkit-animation: spin 2s infinite linear;
  -moz-animation: spin 2s infinite linear;
  -o-animation: spin 2s infinite linear;
  animation: spin 2s infinite linear;
}

.nopad {
    padding:0;
    margin:0;
}

.colleft {
    padding-left: 0px;
    padding-right: 5px;
}

.colright {
    padding-left: 5px;
    padding-right: 0px;
}

/* Resizable columns */
* {
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

.resizableCols {
    height: 100%;
    width: 100%;
    border-bottom: solid 3px #f0f3f4;
}

.resizableCols .col1 {
  float: left;
  width: 40%;
  height: 400px;
  border-right: 5px solid #2e6da4;
  overflow-x: hidden !important;
  overflow-y: auto !important;
}

.resizableCols .col2 {
  float: left;
  padding-left: 1px;
  width: 60%;
  height: 400px;
}

.resizableCols .col1 .table-container {
    max-height: 360px;
    overflow-x: hidden !important;
    overflow-y: auto !important;
}

/* Custom resizable East handler*/
.ui-resizable-e {
    width: 10px !important;
}

#form_deploy .forms {
    margin-bottom: 0;
}

.cstdisabled:disabled{
    cursor: auto !important;

}

#btn_define {
    margin-top: 5px;
}

.drag {
    cursor: move !important;
}

#language-form {
    margin-right: -10px !important;
}

.inline_radio ul {
    display: inline-block;
}

.inline_radio ul li {
    display: inline-block;
}

.div-overflow {
    height: 350px;
    overflow-x: hidden !important;
    overflow-y: auto !important;
}

#help_btn.active, .tglcmts.active {
    background-color: #5bc0de;
}

/* forcings step model form with too many inputs; must be smaller */
#divModal_forcing input, #divModal_forcing select {
    margin-left: 5px;
    margin-right: 0px;
    padding: 0px;
    font-size: 13px;
}

#divModal_forcing input.long {
    width: 95% !important;
}

.wscroll {
    height: 180px;
    overflow-y: auto;
}

#id_bid_perc {
    width: 58px;
}

#divModal_forcing input[type="number"] {
    width: 95px;
    margin-bottom: 5px;
}

#divModal_forcing label {
    margin-bottom: 0px;
}

#divModal_forcing label input {
    position: relative;
    vertical-align: middle;
    margin: 0px 8px 3px 8px;
}

#divModal_forcing hr {
    /* overwride bootstrap */
    margin: 0 !important;
    margin-top: 5px !important;
}

#divModal_forcing .nav-pills {
    padding: 0 !important;
}

#divModal_forcing .nav-pills > li > a {
    font-size: 95%;
    padding: 3px 0 !important;
}

.label-comment {
    color: #333;
    font-weight: normal;
    background-color: #ddd;
    margin-left: 8px !important;
    white-space: normal !important;
    text-align: justify !important;
}

.marbottom {
    margin-bottom: 5px;
}
